/*
 * ORFA - A user-level remote file system access protocol
 * Copyright (C) 2002 Brice Goglin <Brice.Goglin@ens-lyon.fr>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef __ORFAS_TCP_NETWORK_H__
#define __ORFAS_TCP_NETWORK_H__


extern int TCP_network_init();
extern void TCP_network_finish();


#ifdef CONNECTION_THREAD_ARCH

extern void CONNECTION_THREAD_main_connection_thread_func();

#else

extern int TCP_network_send(struct server_request *req);

# ifdef AIO_MIXED_WITH_OTHER_ASYNC_API
extern void TCP_network_test();
# else
extern void TCP_network_wait();
# endif

#endif

#endif /* __ORFAS_TCP_NETWORK_H__ */
